// General header with utility defines and functions

#ifndef __UTILS_H
#define __UTILS_H

#define interrupt __mod2__

#define bit(x) (1 << (x))
#define OFF    0
#define ON     1

#define CENTER 0
#define RIGHT  1
#define LEFT   2
#define REAR   3
#define ANY    4

#define FWD    0
#define REV    1

typedef unsigned char BYTE;
typedef unsigned short WORD;

extern void bitSet(volatile unsigned char *b,int n, int s);
extern void delay(int t);
extern void delayms(int t);
extern void delayhms(int t);
extern void intMinMax(int *num, int min, int max);
extern int intMin(int num, int min);
extern int intMax(int num, int max);
extern void initGeneral(void);
extern void haltGeneral(void);
extern unsigned short getTOF(void);
extern void servoPos(int servo, int pos);
extern int getServoPos(int servo);

#endif
