#ifndef __SPEECH_H
#define __SPEECH_H

#define EXP_SPCH (*(volatile char *)(0x6500))

#define VOICE 'O'
#define VOICE_Perfect_Paul   0
#define VOICE_Vader          1
#define VOICE_Big_Bob        2
#define VOICE_Precise_Pete   3
#define VOICE_Ricochet_Randy 4
#define VOICE_Biff           5
#define VOICE_Skip           6
#define VOICE_Robo_Robert    7

#define TEXT_MODE 'T'

#define CHAR_MODE 'C'

#define ARTICULATION 'A'

#define EXPRESSION 'E'

#define FRMT_FREQ 'F'

#define SPEED 'S'

#define PITCH 'P'

#define VOLUME 'V'

#define TONE 'X'
#define TONE_BASS    0
#define TONE_NORMAL  1
#define TONE_TREBBLE 2

#define REVERB 'R'

#define PROTOCOL 'G'

#define DTMF '*'

extern void speechPutDat(char ch);
extern void speechStr(char str[]);
extern void speechCmd(char cmd, int param);


#endif

